Production Operations Management Service (POMS) - Bug #23097

Analysis user able to modify production
08/12/2019 09:22 AM - Stephen White

Status: Resolved Start date: 08/12/2019
Priority: Normal Due date:

Assignee: Marc Mengel % Done: 100%
Category: Estimated time: 0.00 hour
Target version: vd 2 0 Spent time: 0.00 hour
First Occurred: Experiment: -

Scope: Internal Stakeholders:

Description

If an analysis user is also a production user in another experiment like this:

pomsdev=> select * from experiments_experimenters where experimenter_id=5;

experiment | experimenter_id | active | role
———————————— e
samdev | 51 t | production
dune | 5] t | analysis

POMS will show analysis on the web form drop down But The database has session_role marked as production.
have full edit access to production campaigns through the GUI - and probably other production privs too.

Meaning: they

History

#1 - 08/21/2019 02:22 PM - Marc Mengel

Several Permissions fixes...

d0791795
73f25b5e

70772d4a
70772d4a

I think its okay now. Also showing the right ones as authorized or not on the show_campaigns page...
#2 - 08/29/2019 01:24 PM - Marc Mengel
- % Done changed from 0 to 100

- Assignee set to Marc Mengel

- Status changed from New to Resolved

10/19/2019
https://cdcvs.fnal.gov/redmine/projects/prod_mgmt_db/repository/revisions/d07917951cb300a0251eced7a1c2cb938f6761ff
https://cdcvs.fnal.gov/redmine/projects/prod_mgmt_db/repository/revisions/73f25b5e0b30e0ed8de96293ff084325b6e5720b
https://cdcvs.fnal.gov/redmine/projects/prod_mgmt_db/repository/revisions/70772d4a06ffeda33239f92bb645ea1d21691fb3
https://cdcvs.fnal.gov/redmine/projects/prod_mgmt_db/repository/revisions/70772d4a06ffeda33239f92bb645ea1d21691fb3
